Skip to main content
POST
Adds a new value to an existing item variation.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

itemId
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

variationId
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

Request parameters

Adds a new value to an existing item variation. - Request

variationValue
object

The variation value to add including descriptions in multiple languages, surcharges, GTIN, item number, and weight offset.

Response

VariationValue was successfully added to the item.

Adds a new value to an existing item variation. - Response

variationValueId
string<uuid>

Unique ID of the newly added variation value.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"